<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun May 03 22:01:10 EEST 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-03">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;businessLayer</h2>
<ul class="blockList">
<li class="blockList"><a id="businessLayer.BaseProduct">
<!--   -->
</a>
<h3>Class <a href="businessLayer/BaseProduct.html" title="class in businessLayer">businessLayer.BaseProduct</a> extends <a href="businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="businessLayer.CompositeProduct">
<!--   -->
</a>
<h3>Class <a href="businessLayer/CompositeProduct.html" title="class in businessLayer">businessLayer.CompositeProduct</a> extends <a href="businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="businessLayer.MenuItem">
<!--   -->
</a>
<h3>Class <a href="businessLayer/MenuItem.html" title="class in businessLayer">businessLayer.MenuItem</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockListLast">
<h4>price</h4>
<pre>int price</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="businessLayer.Order">
<!--   -->
</a>
<h3>Class <a href="businessLayer/Order.html" title="class in businessLayer">businessLayer.Order</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>data</h4>
<pre>java.lang.String data</pre>
</li>
<li class="blockList">
<h4>id</h4>
<pre>int id</pre>
</li>
<li class="blockListLast">
<h4>table</h4>
<pre>int table</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="businessLayer.Restaurant">
<!--   -->
</a>
<h3>Class <a href="businessLayer/Restaurant.html" title="class in businessLayer">businessLayer.Restaurant</a> extends java.util.Observable implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>int id</pre>
</li>
<li class="blockList">
<h4>items</h4>
<pre>java.util.ArrayList&lt;<a href="businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&gt; items</pre>
</li>
<li class="blockList">
<h4>map</h4>
<pre>java.util.HashMap&lt;<a href="businessLayer/Order.html" title="class in businessLayer">Order</a>,&#8203;java.util.ArrayList&lt;<a href="businessLayer/MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&gt; map</pre>
</li>
<li class="blockListLast">
<h4>orders</h4>
<pre>java.util.ArrayList&lt;<a href="businessLayer/Order.html" title="class in businessLayer">Order</a>&gt; orders</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
